stages:
- build_develop
- deploy_develop
- build_test
- deploy_test
- build_production
- deploy_production
build-develop:
  image:
    name: my/enterprise/build-image:stable
  stage: build_develop
  script:
  - git clone --branch develop --single-branch https://gitlab-ci-token:${CI_JOB_TOKEN}@${CI_SERVER_HOST}/projectx/configuration.git
  - source develop.env
  - docker build -t myimage:develop .
  tags:
  - develop
deploy-develop:
  image:
    name: my/enterprise/build-image:stable
  stage: deploy_develop
  script:
  - git clone --branch develop --single-branch https://gitlab-ci-token:${CI_JOB_TOKEN}@${CI_SERVER_HOST}/projectx/configuration.git
  - source develop.env
  - docker login
  - docker push myimage:develop
  tags:
  - develop
build-test:
  image:
    name: my/enterprise/build-image:stable
  stage: build_test
  script:
  - git clone --branch test --single-branch https://gitlab-ci-token:${CI_JOB_TOKEN}@${CI_SERVER_HOST}/projectx/configuration.git
  - source test.env
  - docker build -t myimage:test .
  tags:
  - test
deploy-test:
  image:
    name: my/enterprise/build-image:stable
  stage: deploy_test
  script:
  - git clone --branch test --single-branch https://gitlab-ci-token:${CI_JOB_TOKEN}@${CI_SERVER_HOST}/projectx/configuration.git
  - source test.env
  - docker login
  - docker push myimage:test
  tags:
  - test
build-production:
  image:
    name: my/enterprise/build-image:stable
  stage: build_production
  script:
  - git clone --branch production --single-branch https://gitlab-ci-token:${CI_JOB_TOKEN}@${CI_SERVER_HOST}/projectx/configuration.git
  - source production.env
  - docker build -t myimage:production .
  tags:
  - production
deploy-production:
  image:
    name: my/enterprise/build-image:stable
  stage: deploy_production
  script:
  - git clone --branch production --single-branch https://gitlab-ci-token:${CI_JOB_TOKEN}@${CI_SERVER_HOST}/projectx/configuration.git
  - source production.env
  - docker login
  - docker push myimage:production
  tags:
  - production
